body {
    height: 100vh;
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
}

a {
    text-decoration: none;
    color: #262626;
    font-family: sans-serif;
    font-size: 40px;
    border: 5px solid #5500FF;
    padding: 40px 80px;
    position: relative;
    transition: color 800ms 200ms;
    overflow: hidden;
}

a:before{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    background-color: #5500FF;
    z-index: -1;
    transform: translateY(100%);
    transition: all 1s;
}

a:hover:before{
    transform: translateY(0%);
}
a:hover{
    color:#FFF
}
